%define major 2
%define libname %mklibname valhalla %{major}
%define develname %mklibname valhalla -d

Name: libvalhalla
Version: 2.0.0
Release: %mkrel 6
URL: http://libvalhalla.geexbox.org/
Source:	http://libvalhalla.geexbox.org/releases/%{name}-%{version}.tar.bz2
# commit 1093 from upstream (http://hg.geexbox.org/libvalhalla)
# commit 1091 from upstream (http://hg.geexbox.org/libvalhalla)
Patch1: libvalhalla-fix_curl_include.patch
# http://hg.geexbox.org/libvalhalla/rev/883c6adb0024
Patch2: libvalhalla-2.0.0-libavformat-deprecated.patch
# http://hg.geexbox.org/libvalhalla/rev/70494a8fd3f5
Patch3: libvalhalla-2.0.0-libavformat-defines.patch
# http://hg.geexbox.org/libvalhalla/rev/804a298afa60
Patch4: libvalhalla-2.0.0-libavformat-moredefines.patch
# http://hg.geexbox.org/libvalhalla/rev/6f9d0738d006
Patch5: libvalhalla-2.0.0-stream-title.patch
# http://hg.geexbox.org/libvalhalla/rev/d5dc3dc95d62
Patch6: libvalhalla-2.0.0-libavformat-avdict.patch
# http://hg.geexbox.org/libvalhalla/rev/817b714e074a
Patch7: libvalhalla-2.0.0-libavformat-legacy.patch
# http://hg.geexbox.org/libvalhalla/rev/1f3669193d09
Patch8: libvalhalla-2.0.0-libavformat-avdict-test.patch
# http://hg.geexbox.org/libvalhalla/rev/b2a802ea4523
Patch9: libvalhalla-2.0.0-rt.patch

# (cg) This was a test originally in Funda's patch, but it's not upstream :s
Patch10: libvalhalla-2.0.0-libavformat-check.patch
# (cg) Also not yet upstream... no idea if this is the right approach
Patch11: libvalhalla-2.0.0-libavformat-open-api.patch
Patch12: libvalhalla-2.0.0-ffmpeg-2.0.patch

License: LGPLv2+
Summary: A media scanner
Group: System/Libraries
BuildRequires: sqlite3-devel
BuildRequires: ffmpeg-devel
BuildRequires: curl-devel
BuildRequires: libxml2-devel
BuildRequires: libexif-devel
BuildRequires: libgcrypt-devel

%description
libvalhalla is a library written in C. It is a media scanner, that stores
various information in an SQLite database and relies on FFmpeg (libavformat
and libavutil) and libcurl. It features many Internet grabbers that allows
automatic download of covers, lyrics, informations on media files, tags
retrival in video and music files and so on.

%package test
Summary: A media scanner
Group: System/Libraries

%description test
libvalhalla is a library written in C. It is a media scanner, that stores
various information in an SQLite database and relies on FFmpeg (libavformat
and libavutil) and libcurl. It features many Internet grabbers that allows
automatic download of covers, lyrics, informations on media files, tags
retrival in video and music files and so on.

%package -n %{libname}
Summary: A media scanner
Group: System/Libraries

%description -n %{libname}
libvalhalla is a library written in C. It is a media scanner, that stores
various information in an SQLite database and relies on FFmpeg (libavformat
and libavutil) and libcurl. It features many Internet grabbers that allows
automatic download of covers, lyrics, informations on media files, tags
retrival in video and music files and so on.

%package -n %{develname}
Summary: A media scanner
Group: System/Libraries
Provides: %{name}-devel = %{version}-%{release}
Requires: %libname = %version

%description -n %{develname}
libvalhalla is a library written in C. It is a media scanner, that stores
various information in an SQLite database and relies on FFmpeg (libavformat
and libavutil) and libcurl. It features many Internet grabbers that allows
automatic download of covers, lyrics, informations on media files, tags
retrival in video and music files and so on.

This package contains the headers required for compiling software that uses
the libvalhalla library.

%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build
%setup_compile_flags
./configure \
	--prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir} \
	--disable-static \
	--enable-shared || cat config.log
%make

%install
%makeinstall_std

%files test
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*




%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.0.0-6.mga4
+ Revision: 529677
- Mageia 4 Mass Rebuild

* Thu Jul 11 2013 fwang <fwang> 2.0.0-5.mga4
+ Revision: 452880
- fix build with recent ffmpeg

* Sat Jan 12 2013 umeabot <umeabot> 2.0.0-4.mga3
+ Revision: 358321
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 2.0.0-3.mga3
+ Revision: 341648
- rebuild for new ffmpeg

* Sat Jun 30 2012 colin <colin> 2.0.0-2.mga3
+ Revision: 265684
- Yet another build fix
- More build fixes with latest libav
- Various upstream patches for new ffmpet
- Drop modified upstream patches for real pristine ones
- Add upstream patch for new libavformat
- Rebuild for new libavcodec

  + fwang <fwang>
    - check generic symbol
    - first round of fixing ffmpeg

* Tue Sep 27 2011 trem <trem> 2.0.0-1.mga2
+ Revision: 149510
- imported package libvalhalla


* Mon Nov 08 2010 Funda Wang <fwang@mandriva.org> 2.0.0-1mdv2011.0
+ Revision: 594978
- new version 2.0.0

* Sun Jul 25 2010 Funda Wang <fwang@mandriva.org> 2.0.0-0.20100714.1mdv2011.0
+ Revision: 558283
- 2.0.0 snapshsot

* Sun Jan 03 2010 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2010.1
+ Revision: 485853
- import libvalhalla


